TCR Enums
Brands
verticals
GET
/numbers-tcr/verticals
A vertical refers to a specific industry, market, or niche in which a company operates or targets its products and services. This endpoint returns the available ones here at Bird.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.name
string
obligatorio
results.industryId
string
obligatorio
results.displayName
string
obligatorio
results.description
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/numbers-tcr/verticals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'entityType
| Value | Description |
|---|---|
| PRIVATE_PROFIT | Public company |
| PUBLIC_PROFIT | Private company |
| NON_PROFIT | A non profit |
| GOVERNMENT | A government entity |
altBusinessIdType
| Value | Description |
|---|---|
| DUNS | Set if altBusinessId is DUNS number |
| LEI | Set if altBusinessId is LEI code |
| GIIN | Set if altBusinessId is GIIN number |
stockExchange
NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE
stockSymbol
stockSymbol must belong to a stockExchange
brandStatus
| Value | Description |
|---|---|
| FAILED | Failed to submit Brand to the campaign registry |
| PENDING | Brand is pending approval |
| REJECTED | Brand has been rejected by the campaign registry |
| APPROVED | Brand has been approved by the campaign registry |
| DELETED | Brand has been deleted |
Brand Vetting
vettingClass
| Value | Description |
|---|---|
| STANDARD | Standard vetting |
vettingProviderId
| Value | Description |
|---|---|
| AEGIS | Vetting provider AEGIS |
vettingStatus
| Value | Description |
|---|---|
| PENDING | The vetting request is pending |
| REJECTED | This vetting request has been rejected |
| FAILED | The vetting request has failed |
| APPROVED | The vetting request has been approved |
| EXPIRED | The vetting has expired and a new vetting must be requested |
Campaigns
useCases
GET
/numbers-tcr/usecases
Retrieve list of available use cases in TCR
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.name
string
obligatorio
results.accountingName
string
obligatorio
results.classification
string
obligatorio
results.displayName
string
obligatorio
results.description
string
obligatorio
results.maxSubUsecases
integer
obligatorio
results.minSubUsecases
integer
obligatorio
results.validSubUsecase
boolean
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/numbers-tcr/usecases' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'campaignStatus
| Value | Description |
|---|---|
| FAILED | Campaign was submitted to MBCR but rejected by TCR |
| PENDING | Campaign is pending with TCR |
| REJECTED | Campaign is rejected by AT&T and no way to re submit |
| APPROVED | Campaign is approved |
| DECLINED | Campaign is rejected and can be edited and re submitted again. |
| SUSPENDED | Campaign is suspended |
| DELETED | Campaign has been deleted |
| EXPIRED | Campaign has expired |